Arch Труба

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Arch Pipe and the translation is 72% complete.
Outdated translations are marked like this.
Other languages:
English • ‎español • ‎français • ‎italiano • ‎română • ‎русский • ‎日本語

Arch Pipe.svg Труба

Расположение в меню
Arch → Инструменты для труб → Труба
Верстаки
Arch
Быстрые клавиши
P I
Представлено в версии
0.17
См. также
Arch Соединитель труб, Arch Equipment/ru


Описание

Этот инструмент позволяет создавать трубы с нуля или из выбранных объектов. Выбранные объекты должны быть основами деталей (Draft, Sketch, и дт..) и содержать одну и только одну незамкнутую линию (или кривую).

Как использовать

  1. При необходимости выберите линейную фигуру в верстаке Деталь, например Линия, Кривая или Эскиз.
  2. Нажмите кнопку Arch Pipe.svg Труба или нажмите клавиши P, а затем I.

Параметры

  • Трубы имеют общие свойства и поведение характерные для всех Компонентов

Свойства

  • DataLength: Задает длину данной трубы, когда она не основана на кривой
  • DataDiameter: Диаметр данной трубы, когда она основана не на профиле
  • DataBase: Базовая кривая данной трубы, если есть
  • DataProfile: Базовый профиль данной трубы. Если не задан, труба будет цилиндрическая.

Процесс создания

  • Начните с размещения предметов сантехники/гидравлики (ниже указано пошагово). Вы переводите эти объекты в Оборудование, выбирая их и нажимая кнопку Оборудование.

Arch pipe example 01.jpg

  • Теперь Оборудование имеет новое свойство SnapPoints, представляющее собой список трехмерных векторов. Это позволяет добавлять пользовательские точки привязки, к которым вы можете привязываться, когда включена кнопка привязки Специальные. В настоящее время это свойство доступно только для Python. В приведенном выше примере я добавил новую точку привязки на выходе устройства wc. Внутренние векторы Точек Привязки отображаются на модели в виде белых точек:
FreeCAD.ActiveDocument.Equipment.SnapPoints=[FreeCAD.Vector(0,0,100)]

Arch pipe example 02.jpg

  • Теперь к "Специальными" точками привязки вы можете привязаться:

Arch pipe example 03.jpg

  • Теперь мы можем нарисовать наш трубопровод, используя Линии, Кривы, или Эскизы. Однако лучше всего использовать только Линии:

Arch pipe example 04.jpg

  • Теперь появился новый инструмент Наклон, который позволяет изменять наклон Линий, например, до 5% (0,05). Таким образом, мы можем быстро дать нашим линиям правильный уклон. Этот инструмент изменяет только координаты z, поэтому нам нужно только привязать их друг к другу, верхняя проекция останется неизменной.

Arch pipe example 05.jpg

  • Теперь нам нужно только выбрать все наши линии и нажать кнопку Труба. Инструмент Труба работает с любыми основами Деталей, которые содержат одну и только одну незамкнутую линию (или кривую).

Arch pipe example 06.jpg

  • Теперь мы можем создавать соединения, выбирая 2 или 3 соединенные трубы и нажимая кнопку Соединитель Труб. Если выбраны 3 трубы, две из них должны быть выровнены, чтобы создать элемент тройника:

Arch pipe example 07.jpg

  • Изменение радиуса соединений не меняет длину базовой линии, а только результирующую трубу (путем изменения их свойства OffsetStart или OffsetEnd). Таким образом, вы можете нарисовать макет вашей линии только с помощью прямых линий, не заботясь о кривых и радиусах.

Также возможно создать Трубы без базовой линии, в этом случае используйте свойство «Length» для задания длины.

Скрипты

Смотрите также: Arch API и FreeCAD Scripting Basics.

Инструмент Труба можно использовать в макросах и в консоли Python, используя следующую функцию:

Pipe = makePipe(baseobj=None, diameter=0, length=0, placement=None, name="Pipe")
  • Creates a Pipe object from the given baseobj and diameter.
    • baseobj is a Draft Line or Draft Wire.
    • If baseobj is omitted, a straight pipe can be created with just the diameter and the length in the Z direction.
  • If a placement is given, it is used.
import Draft, Arch

p1 = FreeCAD.Vector(1000, 0, 0)
p2 = FreeCAD.Vector(2500, 200, 0)
p3 = FreeCAD.Vector(3100, 1000, 0)
p4 = FreeCAD.Vector(3500, 500, 0)
Line = Draft.makeWire([p1, p2, p3, p4])

Pipe = Arch.makePipe(Line, 200)
FreeCAD.ActiveDocument.recompute()

Pipe2 = Arch.makePipe(diameter=120, length=3000)
FreeCAD.ActiveDocument.recompute()